
QGIS Application - Bug report #10181

Graduated Style shows also non numeric columns

2014-05-05 09:11 AM - Antonio Locandro

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 18635

Description

When using the Graduated Style only numeric Column should appear, right now it shows all, which when you press Classify gives you 0

for all classes

Associated revisions

Revision 09a9a617 - 2014-05-12 02:20 PM - Denis Rouzaud

field proxy model to filter fields on their type (also fix #10181)

History

#1 - 2014-05-05 09:14 AM - Giovanni Manghi

- Subject changed from Graduated Style to Graduated Style shows also non numeric columns

- Affected QGIS version changed from 2.2.0 to master

- Target version set to Version 2.4

- Priority changed from Normal to Severe/Regression

- Category set to Symbology

Correct, and this is a regression as it used to work as expected.

#2 - 2014-05-06 06:01 PM - Alvaro Huarte

- Pull Request or Patch supplied changed from No to Yes

- Assignee set to Alvaro Huarte

Hi, I propose this pull (https://github.com/qgis/QGIS/pull/1336) to solve it.

Best regards

#3 - 2014-05-07 12:25 AM - Alvaro Huarte

- Assignee deleted (Alvaro Huarte)

#4 - 2014-05-12 05:23 AM - Denis Rouzaud

- Status changed from Open to Closed

Fixed in changeset commit:"09a9a6171ac26eaaa1705cd65ed72435d35f54d7".
